## Aufrufoptionen des Loader CLI

Der Aufruf des Loader kann mittels des Clients Loader CLI (LOADERCLI) erfolgen. Durch Angabe entsprechender Optionen können Sie die Einstellung des Betriebsmodus steuern, Verbindungsinformationen usw. übergeben.

### Vorgehensweise

Sie können beim Aufruf des Loader CLI Optionen angeben.

loadercli [<options>]

Eine Übersicht über alle Optionen erhalten Sie durch Aufruf der Hilfe.

loadercli -h

### Erläuterung

Die Eingabe an den Loader kann über drei Betriebsmodi erfolgen: den interaktiven Transportmodus, den Kommandodateimodus und den Sitzungsmodus.

● Im Transportmodus werden vom Benutzer interaktiv Eingaben abgefragt, um Anwendungsdaten aus einer Datenbankinstanz zu exportieren und in eine andere Datenbankinstanz zu importieren. Anhand der Eingabeparameter und der Loader-Konfigurationsdatei wird die Syntax der Loader-Kommandos generiert und ausgeführt.

Die generierten Loader-Kommandos werden optional an der Konsole ausgegeben und können dem Benutzer als Vorlage für selbst verfasste Loader-Kommandos dienen. Im Transportmodus selbst ist kein Wissen über die Loader-Syntax erforderlich.

● Im Kommandodateimodus wird eine vom Benutzer selbst verfasste Kommandodatei sequentiell abgearbeitet. Die Kommandodatei kann im Gegensatz zum Transportmodus eine beliebige Sequenz aus Loader-Kommandos und SQL-Anweisungen enthalten. In den meisten Anwendungsfällen ist eine leichte Modifikation der im Transportmodus generierten Loader-Kommandos ausreichend, um eine Kommandodatei zu erstellen.

● Im Sitzungsmodus kann der Benutzer die Loader-Kommandos und SQL-Anweisungen über die Konsole direkt an den Loader übermitteln.

#### Optionen, um den Betriebsmodus einzustellen

Die Option, die zur Bestimmung des gewünschten Betriebsmodus erforderlich ist, muss immer angegeben werden.

options

-p [<package_name>] | Der Loader CLI wird in den Transportmodus überführt, wenn Sie die Option –p angeben. siehe auch: Transportmodus
-b <command_file> [<connect_options>] [<in_output_options>] [<version_options>] | Der Loader CLI wird in den Kommandodateimodus überführt, wenn Sie die Option –b angeben. siehe auch: Kommandodateimodus
<command_file> | Kommandodatei
[<connect_options>] [<in_output_options>] [<version_options>] | Der Loader CLI wird in den Sitzungsmodus überführt, wenn Sie weder die Option –p noch die Option –b angeben. Siehe auch: Sitzungsmodus

#### Optionen zum Übergeben von Verbindungsinformationen

Sie können Verbindungsinformationen übergeben.

connect_options

-d <database_name> | Name der Datenbankinstanz
-u <database_user>[,<password>] | Name des Datenbankbenutzers und sein Kennwort
-n <database_computer>[:<port>] | Name des Datenbankrechners
-s <database_schema> | Name des Schemas
-e <encryption> | Verschlüsselungsmethode

Siehe auch:

Optionen für Verbindungsaufbau

#### Optionen zum Steuern der Ein- und Ausgabe

Sie können die Ein- und Ausgabe steuern.

in_output_options

-o[w|a] <file_name> | Name der Ausgabedatei
-cs <separator> | Angabe eines Kommandotrenners
-ps <number><string> | Angabe eines Ersetzungsparameters
-E <number> | Anzahl der maximal zulässigen Fehler

Siehe auch:

Optionen für Ein- und Ausgabe

#### Optionen zum Ermitteln von Versionsinformationen

Sie können Versionsinformationen ermitteln.

version_options

-V | Version des Loader-Server
-v | Version des Loader CLI
-R <dependent_path> | Verzeichnis, das die von der Version der Datenbanksoftware abhängigen Programme enthält

Siehe auch:

Optionen zum Ermitteln von Versionsinformationen

### Beispiele

Loader-Tutorial, Transportmodus, Kommandodateimodus, Sitzungsmodus

### Ergebnis

Zum Aufbau der Verbindung zur Datenbankinstanz wertet der Loader CLI zunächst die entsprechenden Optionen aus. Anschließend führt der Loader die interaktiv eingegebenen oder in der Kommandodatei vorhandenen Kommandos und SQL-Anweisungen aus.

Der Loader schreibt in allen drei Betriebsmodi eine Protokolldatei und gegebenenfalls weitere Informationen.

Siehe auch:

Protokolldatei

Protokollfunktionen

### Fehler

Treten bei der Bearbeitung von Kommandos oder SQL-Anweisungen Fehler auf, ist das Verhalten des Loader abhängig davon, in welchem Betriebsmodus er verwendet wurde.

● Transportmodus: Der Loader bricht bei Auftreten eines Fehlers die Verarbeitung der Kommandos und SQL-Anweisungen ab. Für Detailinformationen werden Protokolldateien geschrieben. Für den Export und Import werden die Fehler in der Protokolldatei geschrieben. Im Falle eines Transports gibt es für den Export und den Import je eine separate Protokolldatei.

● Kommandodateimodus: Der Loader bricht bei Auftreten einer definierten Anzahl von Fehlern die Verarbeitung der Kommandos und SQL-Anweisungen ab und beendet sich. Mit der Option –E legen Sie die Anzahl der Fehler fest, die der Loader ignorieren soll, bevor er die Verarbeitung weiterer Kommandos abbricht. Wird die Option –E nicht angegeben, wird nach dem ersten fehlerhaften Kommando die Bearbeitung abgebrochen. Eine Reaktion auf die Fehler ist bei Verwenden des Loader CLI nicht möglich.

● Sitzungsmodus: Der Loader meldet den aufgetretenen Fehler und erwartet danach weitere Eingaben zur Bearbeitung.

Um auf Fehler reagieren zu können, wird die Funktionalität des Loader als Bibliothek für die Skriptsprachen Perl und Python zur Verfügung gestellt.

Siehe auch:

Perl-Handbuch, Modul SAP::DBTech::loader

Python-Handbuch, Modul sdb.loader